#ifndef HW_LIB_OLED_H
#define HW_LIB_OLED_H
#ifdef __cplusplus
extern "C" {
#endif
// OLED初始化指令数组
const uint8_t OLED_Init_Cmd[] = {
        0xAE,       // 关闭显示
        0xD5, 0x80, // 设置显示时钟分频因子/震荡频率
        0xA8, 0x3F, // 设置多路复用比
        0xD3, 0x00, // 设置显示偏移
        0x40,       // 设置起始行
        0x8D, 0x14, // 启用电荷泵
        0x20, 0x00, // 设置内存地址模式
        0xA0,       // 设置列地址映射
        0xC0,       // 设置扫描方向
        0xDA, 0x12, // 设置COM硬件引脚配置
        0x81, 0xCF, // 设置对比度
        0xD9, 0xF1, // 设置预充电周期
        0xDB, 0x40, // 设置VCOMH电压倍率
        0xA4,       // 全局显示开启
        0xA6,       // 设置显示方式
        0xAF        // 打开显示
};

#ifdef __cplusplus
}
#endif
#endif //HW_LIB_OLED_H
